Get Certificates
Get all the certificates created by a creator.
Authorization
bearer In: header
Query Parameters
Number of items per page of the results
1 <= valuePage number of the results
1 <= valueComma-separated list of mango unique identifiers, if provided, certificates will be filtered based on the mangoes
Header Parameters
Host name of the dashboard, ex: mydomain.tagmango.com
Response Body
application/json
application/json
application/json
curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/certificates" \ -H "x-whitelabel-host: string"[
{
"_id": "659bda0d1f30911c18766b31",
"creator": "6149b1e5612c4e5fd96041d3",
"aliasCreator": "62ea773dfc87495de3894e73",
"title": "Certificate of Completion - Advanced React Course",
"content": "This certificate is awarded for successfully completing the Advanced React Course with excellence.",
"signature": "https://cdn.example.com/signatures/john-doe-signature.png",
"logo": "https://cdn.example.com/logos/company-logo.png",
"for": "course",
"template": "template_1",
"course": "66a1390268a76f2f5c9f39a3",
"workshop": "77b2390268a76f2f5c9f39a4",
"mango": "88c3390268a76f2f5c9f39a5",
"sentAt": "2024-01-15T10:30:00.000Z",
"lastScheduledCount": 5,
"lastSentCount": 3,
"autoSend": false,
"issueDate": "2024-01-10T00:00:00.000Z",
"additionalSignatures": [
"https://cdn.example.com/signatures/co-instructor.png",
"https://cdn.example.com/signatures/department-head.png"
],
"cover": "https://cdn.example.com/covers/certificate-cover.jpg",
"isDeleted": false,
"uniqueIdEnabled": true,
"awardName": "Excellence in React Development",
"createdAt": "2024-01-08T11:18:37.217Z",
"updatedAt": "2024-01-10T14:25:42.331Z"
}
]{
"code": 400,
"type": "Bad request",
"statusMessage": "BAD_REQUEST",
"message": "Invalid request",
"success": false
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"success": false
}Get Courses GET
Get all the available courses for creator or subscriber. - To access courses for a subscriber, pass the user parameter in query. - Accessed on behalf of a subscriber, courses will be filtered based on active subscription for the mangoes in the course. - Accessed without user parameter, all the courses will be returned for the creator. - Accessed on behalf of a creator, courses will be filtered based on the creator.
Get Certificates For User GET
Get all the certificates received by a user, currently it delivers certificates only created for mangoes.